Page MenuHomePhabricator

private_typeinfo: propagate static flags in vmi search_above_dst method
ClosedPublic

Authored by rprichard on Aug 8 2017, 12:33 AM.

Details

Summary

Propagate the found_our_static_ptr and found_any_static_type flags from __vmi_class_type_info::search_above_dst to its caller.

Fixes PR33425 and PR33487

Diff Detail

Repository
rL LLVM

Event Timeline

rprichard created this revision.Aug 8 2017, 12:33 AM

See https://reviews.llvm.org/D36449 for a set of regression tests.

EricWF requested changes to this revision.Sep 12 2017, 6:57 PM
EricWF added reviewers: mclow.lists, compnerd.

Could you please include the tests for this change in this review?

This revision now requires changes to proceed.Sep 12 2017, 6:57 PM
rprichard updated this revision to Diff 118153.Oct 8 2017, 1:28 AM
rprichard edited edge metadata.

Consolidate the regression test with the bugfix.

rprichard updated this revision to Diff 118156.Oct 8 2017, 1:46 AM
rprichard edited the summary of this revision. (Show Details)

Use arcanist and see if context shows properly on Phabricator.

rprichard updated this revision to Diff 118157.Oct 8 2017, 1:59 AM
rprichard updated this revision to Diff 118158.
EricWF accepted this revision.May 12 2018, 6:24 PM

Sorry for the delay. This LGTM.

This revision is now accepted and ready to land.May 12 2018, 6:24 PM
EricWF closed this revision.May 18 2018, 1:43 PM

Committed in r332763.